---
title: Graphics on the Web
slug: Web/Guide/Graphics
tags:
  - 2D
  - 3D
  - Canvas
  - Graphics
  - HTML5
  - SVG
  - Web
  - WebGL
  - WebRTC
---
<p><span class="seoSummary">Websites and applications often need to present graphics, such as images.</span> Static images can easily be displayed using the {{HTMLElement("img")}} element, or by setting the background of HTML elements using the {{cssxref("background-image")}} property. You can also construct graphics on-the-fly, or manipulate images after the fact. <span class="seoSummary">These articles provide insight into how you can accomplish this.</span></p>

<div class="row topicpage-table">
<div class="section">
<h2 class="Documentation" id="2D_Graphics">2D Graphics</h2>

<dl>
 <dt><a href="/en-US/docs/HTML/Canvas">Canvas</a></dt>
 <dd>The {{HTMLElement("canvas")}} element provides APIs to draw 2D graphics using JavaScript.</dd>
 <dt><a href="/en-US/docs/Web/SVG">SVG</a></dt>
 <dd>Scalable Vector Graphics (SVG) lets you use lines, curves, and other geometric shapes to render graphics. With vectors, you can create images that scale cleanly to any size.</dd>
</dl>

<p><span class="alllinks"><a href="/en-US/docs/tag/Graphics">View All...</a></span></p>
</div>

<div class="section">
<h2 class="Documentation" id="3D_Graphics">3D Graphics</h2>

<dl>
 <dt><a href="/en-US/docs/Web/WebGL">WebGL</a></dt>
 <dd>A guide to getting started with WebGL, the 3D graphics API for the Web. This technology lets you use standard OpenGL ES in web content.</dd>
</dl>

<h2 id="Video">Video</h2>

<dl>
 <dt><a href="/en-US/docs/Web/Guide/HTML/Using_HTML5_audio_and_video">Using HTML5 audio and video</a></dt>
 <dd>Embedding video and/or audio in a web page and controlling its playback.</dd>
 <dt><a href="/en-US/docs/WebRTC">WebRTC</a></dt>
 <dd>The RTC in WebRTC stands for Real-Time Communications, a technology that enables audio/video streaming and data sharing between browser clients (peers).</dd>
</dl>
</div>
</div>
